Bug 20911 - Search history page forms use 'GET' and this limits the number of entries that can be submitted
Summary: Search history page forms use 'GET' and this limits the number of entries tha...
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-11 15:31 UTC by Nick Clemens
Modified: 2018-06-18 05:56 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20911: Use 'POST' to submit search history forms (5.79 KB, patch)
2018-06-11 15:35 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 20911: Use 'POST' to submit search history forms (5.84 KB, patch)
2018-06-11 16:11 UTC, Jesse Maseto
Details | Diff | Splinter Review
Bug 20911: Use 'POST' to submit search history forms (5.93 KB, patch)
2018-06-12 15:28 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-06-11 15:31:32 UTC
Some users have lots of search history - when selecting all they create a url that is too long for a 'GET' request. 

We should use 'POST'
Comment 1 Nick Clemens 2018-06-11 15:35:08 UTC
Created attachment 75962 [details] [review]
Bug 20911: Use 'POST' to submit search history forms

To test:
1 - Enable EnableOpacSearchHistory and EnableSearchHistory
2 - Do some searches
3 - View your search history in staff/opac
4 - Confirm you can delete single or multiple rows
5 - Confirm other page functionality has not changed
Comment 2 Jesse Maseto 2018-06-11 16:11:00 UTC
Created attachment 75966 [details] [review]
Bug 20911: Use 'POST' to submit search history forms

To test:
1 - Enable EnableOpacSearchHistory and EnableSearchHistory
2 - Do some searches
3 - View your search history in staff/opac
4 - Confirm you can delete single or multiple rows
5 - Confirm other page functionality has not changed

Signed-off-by: Ed Veal <eveal@mckinneytexas.org>
Comment 3 Jonathan Druart 2018-06-12 15:28:57 UTC
Created attachment 76002 [details] [review]
Bug 20911: Use 'POST' to submit search history forms

To test:
1 - Enable EnableOpacSearchHistory and EnableSearchHistory
2 - Do some searches
3 - View your search history in staff/opac
4 - Confirm you can delete single or multiple rows
5 - Confirm other page functionality has not changed

Signed-off-by: Ed Veal <eveal@mckinneytexas.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Nick Clemens 2018-06-15 10:44:35 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-06-15 12:09:16 UTC
Pushed to 18.05.x for 18.05.01
Comment 6 Fridolin SOMERS 2018-06-18 05:56:19 UTC
Pushed to 17.11.x for 17.11.07